Bug 332505 - Systemtray configuration missing
Summary: Systemtray configuration missing
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: System Tray (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Sebastian Kügler
URL:
Keywords:
Depends on:
Blocks: 328586
  Show dependency treegraph
 
Reported: 2014-03-24 14:12 UTC by Sebastian Kügler
Modified: 2014-05-09 10:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Kügler 2014-03-24 14:12:33 UTC
The configuration dialog of the systemtray only contains debugging helpers, it's not possible to setup  whether an item should be hidden or shown, automatically. 

Also, the settings of individual applets aren't accessible at all.

Reproducible: Always
Comment 1 Marco Martin 2014-04-03 15:05:05 UTC
Git commit 7eb2ad3bbda21404dc75713ea4251825bce7c7df by Marco Martin.
Committed on 03/04/2014 at 15:03.
Pushed by mart into branch 'master'.

reenable categories show/hide

still missing the enable/disable of specific applets
(not sure we want that at all)

M  +13   -3    applets/systemtray/package/contents/config/main.xml
M  +18   -95   applets/systemtray/package/contents/ui/ConfigGeneral.qml
M  +22   -1    applets/systemtray/package/contents/ui/main.qml
M  +41   -0    applets/systemtray/plugin/host.cpp
M  +5    -0    applets/systemtray/plugin/host.h

http://commits.kde.org/plasma-workspace/7eb2ad3bbda21404dc75713ea4251825bce7c7df
Comment 2 Aleix Pol 2014-05-07 18:01:18 UTC
Why wouldn't we want it?

Actually, arguably categories are not that useful there.
Comment 3 Marco Martin 2014-05-08 19:55:55 UTC
Git commit d56af607161b3ec957318928ecbf80170629d4e7 by Marco Martin.
Committed on 08/05/2014 at 19:52.
Pushed by mart into branch 'master'.

Configuration option to disable plasmoids is back

welcome back the extra items systray configuration:
each sub plasmoid can be separately enabled or disabled,
so that the user doesn't have more plasmoids
in the systray than they want
there is almost feature parity, still missing
the force of a task to be "hidden", "auto", "visible"

M  +1    -1    applets/systemtray/package/contents/config/main.xml
M  +53   -0    applets/systemtray/package/contents/ui/ConfigGeneral.qml
M  +1    -0    applets/systemtray/package/contents/ui/main.qml
M  +66   -2    applets/systemtray/plugin/host.cpp
M  +8    -0    applets/systemtray/plugin/host.h
M  +33   -12   applets/systemtray/plugin/protocols/plasmoid/plasmoidprotocol.cpp
M  +5    -0    applets/systemtray/plugin/protocols/plasmoid/plasmoidprotocol.h

http://commits.kde.org/plasma-workspace/d56af607161b3ec957318928ecbf80170629d4e7
Comment 4 Marco Martin 2014-05-09 10:27:46 UTC
Git commit ec96ae745869281b07cff97e6b6d6cb7dfe391fd by Marco Martin.
Committed on 09/05/2014 at 10:25.
Pushed by mart into branch 'master'.

Configuration for Auto, Shown, Hidden

This is the last big piece that was missing from the systray,
now possible to set an entry as always shown, always hidden, or auto (default)

M  +6    -1    applets/systemtray/package/contents/config/config.qml
A  +127  -0    applets/systemtray/package/contents/ui/ConfigEntries.qml     [License: GPL (v2+)]
M  +1    -38   applets/systemtray/package/contents/ui/ConfigGeneral.qml
M  +5    -0    applets/systemtray/package/contents/ui/main.qml
M  +68   -3    applets/systemtray/plugin/host.cpp
M  +12   -0    applets/systemtray/plugin/host.h

http://commits.kde.org/plasma-workspace/ec96ae745869281b07cff97e6b6d6cb7dfe391fd